fuss-server - Segnalazione #284

Commento di esempio per dhcp-reservations
06/07/2017 11:12 AM - Christopher R. Gabriel

Status: Chiuso Start date: 06/07/2017
Priority: Bassa Due date:

Assignee: Christopher R. Gabriel % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Description

Il file /etc/fuss-server/dhcp-reservations, creato da fuss-server create e utilizzato come include dal server dhcp, sarebbe comodo se
include, come commento, un esempio di configurazione (come presente anche sul wiki come documentazione) per poter avere un
riferimento anche offline.

History

#1 - 06/09/2017 11:53 AM - Christopher R. Gabriel

- Assignee set to Elena Grandi

Ho visto che al momento viene usato il modulo "copy" per content: " per creare il file vuoto, ma non e' che questo poi, ad esecuzione successive di
fuss-server create, ricancella il file? Perche' essendo pensato per contenere personalizzazioni relative al contesto, se le cancella perde un po' il
senso.

#2 - 06/09/2017 11:58 AM - Elena Grandi
- Assignee changed from Elena Grandi to Christopher R. Gabriel

la copy ha I'opzione force: no: "If no, the file will only be transferred if the destination does not exist." (da https://work.fuss.bz.it/issues/284 ), quindi no,
se il file esiste non viene ricreato.

si pud ovviamente correggere da content: " ad un file con I'esempio di configurazione (che contenuti deve avere?)

#3 - 06/09/2017 12:01 PM - Christopher R. Gabriel

- Assignee changed from Christopher R. Gabriel to Elena Grandi

Il contenuto dovrebbe essere qualcosa tipo:

#4#

## Insert here address reservations for known hosts.
#4

## Example:

#

# host haagen {

# hardware ethernet 08:00:2b:4c:59:23;

# fixed-address 192.168.1.222;

#}
#4 - 06/09/2017 12:01 PM - Elena Grandi

Il link ovviamente doveva essere http://docs.ansible.com/ansible/copy_module.html

#5 - 06/09/2017 01:26 PM - Elena Grandi
- Status changed from Nuovo to Commenti

- Assignee changed from Elena Grandi to Christopher R. Gabriel

Pushata la modifica sul repository di fuss-server (su master)

Ho aspettato a fare version bump del pacchetto: credo che la si possa fare assieme alle eventuali modifiche per #285, va bene?

#6 - 06/09/2017 01:28 PM - Christopher R. Gabriel
- Assignee changed from Christopher R. Gabriel to Elena Grandi

E' ok per - va bene fare nuovo pacchetto a seguito di #285. Lo lascio assegnato a te per farlo quando sara' il momento e quindi chiudere il ticket.

#7 - 06/16/2017 03:32 PM - Elena Grandi
- Assignee changed from Elena Grandi to Christopher R. Gabriel

Incluso in fuss-server 8.0.14-1, appena pubblicata sul repo

#8 - 06/16/2017 03:45 PM - Christopher R. Gabriel

- Status changed from Commenti to Chiuso

Ok, verificato con ultimo pacchetto fuss-server.
